Package org.gradle.jvm

# Interface JvmApiSpec

@Incubating public interface JvmApiSpec
Specifies the packages that constitute the API of a library. Facilitates separation of API and implementation binaries for that library. Backing object for the `api {}` DSL.

Since:
  2.10

## Method Summary

Modifier and Type
Method
Description
`void`
`dependencies(Closure<?> configureAction)`
Specify the dependencies of this API.
`void`
`exports(String packageName)`
Specify a package to be exported as part of the library API.
`DependencySpecContainer`
`getDependencies()`
The dependencies of this API.
`Set<String>`
`getExports()`
The set of packages that comprise this library's public API.

## Method Details

### exports

void exports(String packageName)
Specify a package to be exported as part of the library API.

Parameters:
  `packageName` - the name of the package to be exported, e.g. "com.example.p1"
Throws:
  `InvalidUserDataException` - if the package name is not valid or has already been exported

### getExports

Set<String> getExports()
The set of packages that comprise this library's public API.

### dependencies

void dependencies(Closure<?> configureAction)
Specify the dependencies of this API.

### getDependencies

DependencySpecContainer getDependencies()
The dependencies of this API.